<template>
  <div class="item" @click="$emit('open', file)">
    <i v-if="isFolder" class="fas fa-folder"></i>
    <i v-else class="fas fa-file"></i>
    {{ name }}
  </div>
</template>

<script>
export default {
  props: {
    file: {
      type: Object,
      required: true
    },
    name: {
      type: String,
      default: "file"
    },
    isFolder: {
      type: Boolean,
      default: false
    }
  }
};
</script>
